
Redmine - Defect #17752

mail subject come to unreadable code when it's too long

2014-08-27 03:51 - lee min

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

=?UTF-8?Q?_=E8=BE=B9=E7=9C=8B=E8=BE=B9=E9=80=81=E6=B8=B8=E6=88=8F=E8=B7=B3=E8=BD=AC=E9=93=BE=E6=8

E=A5=E9=85=8D=E7=BD=AE=E4=BB=8ERMS=E8=BD=AC=E7=A7=BB=E5=88=B0=E9=9D=9E=E6=A0=B8=E5=BF=83CMS=E4=

B8=AD=E5=88=9D=E5=A7=8B=E5=8C=

this issue appear in #3592

Related issues:

Is duplicate of Redmine - Defect #3592: Unreadable quoted-printable utf-8 lon... New 2009-07-07

History

#1 - 2014-08-27 03:54 - lee min

this is some info of my redmine server:

Environment:

Redmine version                2.5.2.stable.13349

Ruby version                   2.1.2-p95 (2014-05-08) [i686-linux]

Rails version                  3.2.19

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.17

Git                            1.7.6.5

Filesystem

Redmine plugins:

no plugin installed

#2 - 2014-08-27 04:23 - Toshi MARUYAMA

- Description updated

#3 - 2014-08-27 04:24 - Toshi MARUYAMA

- Related to Defect #3592: Unreadable quoted-printable utf-8 long subject in some mail clients added

#4 - 2014-08-27 04:29 - Toshi MARUYAMA

- Related to deleted (Defect #3592: Unreadable quoted-printable utf-8 long subject in some mail clients)

#5 - 2014-08-27 04:30 - Toshi MARUYAMA

- Category set to Email notifications

- Status changed from New to Closed

- Resolution set to Duplicate

lee min wrote:

this issue appear in #3592

 Yes. Duplicate of #3592.

I have changed #3592 tracker from patch to defect.

#6 - 2014-08-27 04:31 - Toshi MARUYAMA
- Is duplicate of Defect #3592: Unreadable quoted-printable utf-8 long subject in some mail clients added

#7 - 2014-08-27 04:42 - lee min

Toshi MARUYAMA wrote:

lee min wrote:

this issue appear in #3592

 Yes. Duplicate of #3592.

I have changed #3592 tracker from patch to defect.

 Since mailer.rb has changed ,i am not sure how can i do to solve this problem by duplicating of #3592

#8 - 2014-08-27 07:03 - Toshi MARUYAMA

lee min wrote:

Since mailer.rb has changed ,i am not sure how can i do to solve this problem by duplicating of #3592

 Redmine uses mail gem.

https://github.com/mikel/mail

I think it is mail gem issue.

In next, please post to #3592 because #3592 has many watchers.
